- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpPrimalQuadraticDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <ClpPrimalQuadraticDantzig.hpp>`

Inheritance diagram for ClpPrimalQuadraticDantzig:

[legend]
Collaboration diagram for ClpPrimalQuadraticDantzig:

[legend]
List of all members.

## Public Member Functions
Algorithmic methods
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none.
virtual void | saveWeights (ClpSimplex *model, int mode)
| Just sets model.
Constructors and destructors
| ClpPrimalQuadraticDantzig ()
| Default Constructor.
| ClpPrimalQuadraticDantzig (const ClpPrimalQuadraticDantzig &)
| Copy constructor.
| ClpPrimalQuadraticDantzig (ClpSimplexPrimalQuadratic *model, ClpQuadraticInfo *info)
| Constructor from model.
ClpPrimalQuadraticDantzig & | operator= (const ClpPrimalQuadraticDantzig &rhs)
| Assignment operator.
virtual | ~ClpPrimalQuadraticDantzig ()
| Destructor.
virtual ClpPrimalColumnPivot * | clone (bool copyData=true) const
| Clone.
## Private Attributes
Private member data
Pointer to info
ClpQuadraticInfo * | quadraticInfo_

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 17 of file ClpPrimalQuadraticDantzig.hpp.

## Constructor & Destructor Documentation

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( |  | ) |

Default Constructor.

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( | const ClpPrimalQuadraticDantzig & |  | ) |

Copy constructor.

ClpPrimalQuadraticDantzig::ClpPrimalQuadraticDantzig | ( | ClpSimplexPrimalQuadratic * | model,
|  | ClpQuadraticInfo * | info |
| ) |  |  |

Constructor from model.

virtual ClpPrimalQuadraticDantzig::~ClpPrimalQuadraticDantzig | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int ClpPrimalQuadraticDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2 |
| ) |  |  | `[virtual]`

Returns pivot column, -1 if none.

Lumbers over all columns - slow updateArray has cost updates (also use pivotRow_ from last iteration) Can just do full price if you really want to be slow

Implements ClpPrimalColumnPivot.

virtual void ClpPrimalQuadraticDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode |
| ) |  |  | `[inline, virtual]`

Just sets model.

Implements ClpPrimalColumnPivot.

Definition at line 36 of file ClpPrimalQuadraticDantzig.hpp.

References ClpPrimalColumnPivot::model(), and ClpPrimalColumnPivot::model_.

ClpPrimalQuadraticDantzig& ClpPrimalQuadraticDantzig::operator= | ( | const ClpPrimalQuadraticDantzig & | rhs | ) |

Assignment operator.

virtual ClpPrimalColumnPivot* ClpPrimalQuadraticDantzig::clone | ( | bool | copyData = `true` | ) | const`[virtual]`

Clone.

Implements ClpPrimalColumnPivot.

## Member Data Documentation

ClpQuadraticInfo* ClpPrimalQuadraticDantzig::quadraticInfo_`[private]`

Definition at line 69 of file ClpPrimalQuadraticDantzig.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/Clp/src/ClpPrimalQuadraticDantzig.hpp